> ## Documentation Index
> Fetch the complete documentation index at: https://help.decodo.com/llms.txt
> Use this file to discover all available pages before exploring further.

# 按类型获取端点

> 获取住宅代理订阅中指定类型的端点列表



## OpenAPI

````yaml /cn/api-reference/cn-jero_public_api.yaml get /v2/endpoints/{type}
openapi: 3.1.0
info:
  title: Smartproxy
  version: '1.2'
servers:
  - url: https://api.decodo.com
security:
  - sec0: []
tags:
  - name: 子用户
    description: 管理住宅代理订阅的子用户
  - name: 白名单 IP
    description: 管理住宅代理订阅的白名单 IP
  - name: 端点
    description: 管理和生成代理端点
  - name: 订阅
    description: 订阅信息
paths:
  /v2/endpoints/{type}:
    get:
      tags:
        - 端点
      summary: 按类型获取端点
      description: 获取住宅代理订阅中指定类型的端点列表
      operationId: get-endpoints-by-type
      parameters:
        - name: type
          in: path
          description: ''
          schema:
            type: string
            enum:
              - random
              - sticky
          required: true
      responses:
        '200':
          description: '200'
          content:
            application/json:
              examples:
                Result:
                  value: |-
                    [
                      0:{
                        "location":"Random"
                        "hostname":"gate.decodo.com"
                        "port_range":"7000"
                      }
                      1:{
                        "location":"Canada"
                        "hostname":"ca.decodo.com"
                        "port_range":"20000"
                    }
        '400':
          description: '400'
          content:
            application/json:
              examples:
                Result:
                  value: |-
                    {
                      "error_code":"bad_request"
                      "message":"Bad proxy type provided."
                    }
      deprecated: false
      security: []
components: {}

````